﻿#region Copyright Syncfusion Inc. 2001 - 2013
// Copyright Syncfusion Inc. 2001 - 2013. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace IEnumerableDemo.Model
{
    public class ProductModel
    {
        /// <summary>
        /// Gets or Sets the Product
        /// </summary>
        public string Product { get; set; }

        /// <summary>
        /// Gets or Sets the Date
        /// </summary>
        public string Date { get; set; }

        /// <summary>
        /// Gets or Sets the Country
        /// </summary>
        public string Country { get; set; }

        /// <summary>
        /// Gets or Sets the State
        /// </summary>
        public string State { get; set; }

        /// <summary>
        /// Gets or Sets the Qunatity
        /// </summary>
        public int Quantity { get; set; }

        /// <summary>
        /// Gets or Sets the Amount
        /// </summary>
        public double Amount { get; set; }

        public override string ToString()
        {
            return string.Format("{0}-{1}-{2}", this.Country, this.State, this.Product);
        }
    }
}
